OpenTTD Source: CargoSorter Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Private Member Functions | Private Attributes
CargoSorter Class Reference

## Public Member Functions
| CargoSorter (CargoSortType t=CargoSortType::StationID, SortOrder o=SO_ASCENDING)
CargoSortType | GetSortType ()
bool | operator() (const CargoDataEntry *cd1, const CargoDataEntry *cd2) const

## Private Member Functions
template<class Tid >
bool | SortId (Tid st1, Tid st2) const
bool | SortCount (const CargoDataEntry *cd1, const CargoDataEntry *cd2) const
bool | SortStation (StationID st1, StationID st2) const

## Private Attributes
CargoSortType | type
SortOrder | order

## Detailed Description

Definition at line 897 of file station_gui.cpp.

## Constructor & Destructor Documentation

## ◆ CargoSorter()

CargoSorter::CargoSorter | ( | CargoSortType | t = `CargoSortType::StationID`,
|  | SortOrder | o = `SO_ASCENDING`
| ) |  |
| inline

Definition at line 899 of file station_gui.cpp.

## Member Function Documentation

## ◆ GetSortType()

CargoSortType CargoSorter::GetSortType | ( |  | ) |
| inline

Definition at line 900 of file station_gui.cpp.

## ◆ operator()()

bool CargoSorter::operator() | ( | const CargoDataEntry * | cd1,
|  | const CargoDataEntry * | cd2
| ) |  | const

Definition at line 1201 of file station_gui.cpp.

## ◆ SortCount()

bool CargoSorter::SortCount | ( | const CargoDataEntry * | cd1,
|  | const CargoDataEntry * | cd2
| ) |  | const
| private

Definition at line 1223 of file station_gui.cpp.

## ◆ SortId()

template<class Tid >

bool CargoSorter::SortId | ( | Tid | st1,
|  | Tid | st2
| ) |  | const
| private

Definition at line 1218 of file station_gui.cpp.

## ◆ SortStation()

bool CargoSorter::SortStation | ( | StationID | st1,
|  | StationID | st2
| ) |  | const
| private

Definition at line 1236 of file station_gui.cpp.

## Field Documentation

## ◆ order

SortOrder CargoSorter::order
| private

Definition at line 905 of file station_gui.cpp.

## ◆ type

CargoSortType CargoSorter::type
| private

Definition at line 904 of file station_gui.cpp.

The documentation for this class was generated from the following file:

- src/station_gui.cpp